Bug 1666551 - htop -s is causing segmentation fault
Summary: htop -s is causing segmentation fault
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: htop
Version: 29
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-16 00:09 UTC by BruXy
Modified: 2019-02-10 03:25 UTC (History)
5 users (show)

Fixed In Version: htop-2.2.0-3.fc29 htop-2.2.0-3.fc28 htop-2.2.0-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-19 02:26:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github #787 None None None 2019-01-16 00:09:22 UTC

Description BruXy 2019-01-16 00:09:23 UTC
Description of problem:

When -s command line option is used htop 2.2.0 will cause SIGSEGV.

Version-Release number of selected component (if applicable):

Name        : htop
Version     : 2.2.0
Release     : 2.fc29
Architecture: x86_64
Install Date: Fri 21 Dec 2018 08:46:15 PM AST
Group       : Unspecified
Size        : 264730
License     : GPLv2+
Signature   : RSA/SHA256, Tue 17 Jul 2018 06:47:45 AM ADT, Key ID a20aa56b429476b4
Source RPM  : htop-2.2.0-2.fc29.src.rpm
Build Date  : Fri 13 Jul 2018 10:48:26 PM ADT
Build Host  : buildvm-27.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://hisham.hm/htop/
Bug URL     : https://bugz.fedoraproject.org/htop
Summary     : Interactive process viewer
Description :
htop is an interactive text-mode process viewer for Linux, similar to
top(1).


Additional info:

This problem was reported before in htop issues list and it is already fixed in master branch:
https://github.com/hishamhm/htop/issues/787

Please update the htop package.

Comment 1 Mukundan Ragavan 2019-01-16 23:32:04 UTC
Sure. I will submit an update.

Comment 2 Fedora Update System 2019-01-17 02:50:38 UTC
htop-2.2.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-daaed9cb91

Comment 3 Fedora Update System 2019-01-17 02:50:41 UTC
htop-2.2.0-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d2c8536e08

Comment 4 Fedora Update System 2019-01-17 02:50:45 UTC
htop-2.2.0-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a122c96bcf

Comment 5 Fedora Update System 2019-01-18 01:00:42 UTC
htop-2.2.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-daaed9cb91

Comment 6 Fedora Update System 2019-01-18 03:36:21 UTC
htop-2.2.0-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d2c8536e08

Comment 7 Fedora Update System 2019-01-19 02:26:06 UTC
htop-2.2.0-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-01-24 14:55:19 UTC
htop-2.2.0-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a122c96bcf

Comment 9 Fedora Update System 2019-01-25 03:25:45 UTC
htop-2.2.0-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a122c96bcf

Comment 10 Fedora Update System 2019-01-26 02:22:11 UTC
htop-2.2.0-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-02-10 03:25:39 UTC
htop-2.2.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.